OpenGL-2.8.0.0: A binding for the OpenGL graphics system

Safe Haskell | None

Graphics.Rendering.OpenGL.GL.QueryUtils.VertexAttrib

Description

# Documentation

newtype AttribLocation

Constructors

AttribLocation GLuint |

Instances

Eq AttribLocation |
Ord AttribLocation |
Show AttribLocation |

data GetVertexAttribPName

Constructors

GetVertexAttribArrayEnabled |
GetVertexAttribArraySize |
GetVertexAttribArrayStride |
GetVertexAttribArrayType |
GetVertexAttribArrayNormalized |
GetCurrentVertexAttrib |
GetVertexAttribArrayBufferBinding |
GetVertexAttribArrayInteger |

getVertexAttribInteger1 :: (GLint -> b) -> AttribLocation -> GetVertexAttribPName -> IO b

getVertexAttribEnum1 :: (GLenum -> b) -> AttribLocation -> GetVertexAttribPName -> IO b

getVertexAttribBoolean1 :: (GLboolean -> b) -> AttribLocation -> GetVertexAttribPName -> IO b

getVertexAttribFloat4 :: (GLfloat -> GLfloat -> GLfloat -> GLfloat -> b) -> AttribLocation -> GetVertexAttribPName -> IO b

getVertexAttribIInteger4 :: (GLint -> GLint -> GLint -> GLint -> b) -> AttribLocation -> GetVertexAttribPName -> IO b

getVertexAttribIuInteger4 :: (GLuint -> GLuint -> GLuint -> GLuint -> b) -> AttribLocation -> GetVertexAttribPName -> IO b

data GetVertexAttribPointerPName

Constructors

VertexAttribArrayPointer |

getVertexAttribPointer :: AttribLocation -> GetVertexAttribPointerPName -> IO (Ptr a)